aboutsummaryrefslogtreecommitdiff
path: root/sysutils/mate-power-manager/files/patch-autogen.sh
blob: f9c08c5db86b09b3eeaeea3a439fd22d1fdfb67a (plain) (blame)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
--- autogen.sh.orig	2013-10-19 11:55:08.000000000 +0200
+++ autogen.sh	2013-10-19 11:55:03.000000000 +0200
@@ -0,0 +1,24 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+PKG_NAME="mate-power-manager"
+
+(test -f $srcdir/configure.ac) || {
+    echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+    echo " top-level $PKG_NAME directory"
+    exit 1
+}
+
+which mate-autogen || {
+    echo "You need to install mate-common from the MATE Git"
+    exit 1
+}
+
+REQUIRED_AUTOMAKE_VERSION=1.9
+MATE_DATADIR="$mate_datadir"
+
+. mate-autogen
+